From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/lvm2/
Date: Mon, 8 Apr 2019 18:34:38 +0000 (UTC) [thread overview]
Message-ID: <1554748467.53d8205ff9f4533c17a265a88e44363fd9fd66ed.polynomial-c@gentoo> (raw)
commit: 53d8205ff9f4533c17a265a88e44363fd9fd66ed
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 8 18:34:13 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Apr 8 18:34:27 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53d8205f
sys-fs/lvm2: Bump to version 2.02.184
this should fix udev related issues as well as scan_lvs issues.
Bug: https://bugs.gentoo.org/682578
Bug: https://bugs.gentoo.org/682380
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-fs/lvm2/Manifest | 1 +
sys-fs/lvm2/lvm2-2.02.184.ebuild | 258 +++++++++++++++++++++++++++++++++++++++
2 files changed, 259 insertions(+)
diff --git a/sys-fs/lvm2/Manifest b/sys-fs/lvm2/Manifest
index cc17619d9c9..fa9cdc1b27e 100644
--- a/sys-fs/lvm2/Manifest
+++ b/sys-fs/lvm2/Manifest
@@ -1,3 +1,4 @@
DIST LVM2.2.02.116.tgz 1538340 BLAKE2B 718261b60626f2eca5ba13011646bf551523ed8e59aaceceb9097221c000268b7533ac43151ff1d9229911d87e764fbdb29ffa1d305f2aae99220a68e301559a SHA512 992541339637d597257850b4ff7f5348fb7cdcccf806ac8d986a3be1ad1edc5f6bfaedeed5128690c541d1a485cdc75742e90a766363c39867901003518fb84d
DIST LVM2.2.02.145.tgz 1986370 BLAKE2B 0c9e5efae17f26ff86152cecbf0b11a74e85007b2fa9491f44dec03ac8c11375bacf6685213b4be19037c8fbf70e13549516716ecf8fa262919a44625e6aab34 SHA512 84e28b3efc940837ea9da70fce620744aea0945ba29383b76ad7bcd4b5259b897c714162a8e8b7cfe26ae736a3ad2eca633a3e0df4d6280a32b28bd4cf472d27
DIST LVM2.2.02.183.tgz 2380574 BLAKE2B b1fe71b6cdb8ee20dd53d0ad3399c553487baafa12657ec81a794c84ad161988afdb8693ac247877a2645d693a0740c74c8b991047ed2ba4adc9ec75f1c261a9 SHA512 3947523c6b0862ada40677ed171ed0cf95e070119e377296fc5ccb153e9c4212d34c0b16a887dbd68ccf265525345dabfed2aa59fb3604555429a7e2ecfff4d7
+DIST LVM2.2.02.184.tgz 2383698 BLAKE2B b6e308d76d541b9461dfcc6e82db256a175ccdabfae9c9d57d84eabd0d5ea50e3e09954b34741903e027412c2c26f72a5005fe934261576337a810738139deb8 SHA512 9db74f675e7c58f663a39afb79b6f33a33ad2cfbda63e9783ef5027f33977b4a1262a2e6754aa67c586eed083ee119a2e837c32a7746dcc53f13877c9d65c390
diff --git a/sys-fs/lvm2/lvm2-2.02.184.ebuild b/sys-fs/lvm2/lvm2-2.02.184.ebuild
new file mode 100644
index 00000000000..19b3acffaf8
--- /dev/null
+++ b/sys-fs/lvm2/lvm2-2.02.184.ebuild
@@ -0,0 +1,258 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools linux-info multilib systemd toolchain-funcs udev flag-o-matic
+
+DESCRIPTION="User-land utilities for LVM2 (device-mapper) software"
+HOMEPAGE="https://sourceware.org/lvm2/"
+SRC_URI="ftp://sourceware.org/pub/lvm2/${PN/lvm/LVM}.${PV}.tgz
+ ftp://sourceware.org/pub/lvm2/old/${PN/lvm/LVM}.${PV}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="readline static static-libs systemd lvm2create_initrd sanlock selinux +udev +thin device-mapper-only"
+REQUIRED_USE="device-mapper-only? ( !lvm2create_initrd !sanlock !thin )
+ systemd? ( udev )"
+
+DEPEND_COMMON="
+ dev-libs/libaio[static-libs?]
+ static? ( dev-libs/libaio[static-libs] )
+ !static? ( dev-libs/libaio[static-libs?] )
+ readline? ( sys-libs/readline:0= )
+ sanlock? ( sys-cluster/sanlock )
+ systemd? ( >=sys-apps/systemd-205:0= )
+ udev? ( >=virtual/libudev-208:=[static-libs?] )"
+# /run is now required for locking during early boot. /var cannot be assumed to
+# be available -- thus, pull in recent enough baselayout for /run.
+# This version of LVM is incompatible with cryptsetup <1.1.2.
+RDEPEND="${DEPEND_COMMON}
+ >=sys-apps/baselayout-2.2
+ !<sys-apps/openrc-0.11
+ !<sys-fs/cryptsetup-1.1.2
+ !!sys-fs/lvm-user
+ >=sys-apps/util-linux-2.16
+ lvm2create_initrd? ( sys-apps/makedev )
+ thin? ( >=sys-block/thin-provisioning-tools-0.3.0 )"
+# note: thin- 0.3.0 is required to avoid --disable-thin_check_needs_check
+# USE 'static' currently only works with eudev, bug 520450
+DEPEND="${DEPEND_COMMON}
+ virtual/pkgconfig
+ >=sys-devel/binutils-2.20.1-r1
+ sys-devel/autoconf-archive
+ static? (
+ selinux? ( sys-libs/libselinux[static-libs] )
+ udev? ( >=sys-fs/eudev-3.1.2[static-libs] )
+ >=sys-apps/util-linux-2.16[static-libs]
+ )"
+
+S=${WORKDIR}/${PN/lvm/LVM}.${PV}
+
+PATCHES=(
+ # Gentoo specific modification(s):
+ "${FILESDIR}"/${PN}-2.02.178-example.conf.in.patch
+
+ # For upstream -- review and forward:
+ "${FILESDIR}"/${PN}-2.02.63-always-make-static-libdm.patch
+ "${FILESDIR}"/${PN}-2.02.56-lvm2create_initrd.patch
+ "${FILESDIR}"/${PN}-2.02.67-createinitrd.patch #301331
+ "${FILESDIR}"/${PN}-2.02.99-locale-muck.patch #330373
+ "${FILESDIR}"/${PN}-2.02.178-asneeded.patch # -Wl,--as-needed
+ "${FILESDIR}"/${PN}-2.02.178-dynamic-static-ldflags.patch #332905
+ "${FILESDIR}"/${PN}-2.02.178-static-pkgconfig-libs.patch #370217, #439414 + blkid
+ "${FILESDIR}"/${PN}-2.02.176-pthread-pkgconfig.patch #492450
+ "${FILESDIR}"/${PN}-2.02.171-static-libm.patch #617756
+ "${FILESDIR}"/${PN}-2.02.166-HPPA-no-O_DIRECT.patch #657446
+ #"${FILESDIR}"/${PN}-2.02.145-mkdev.patch #580062 # Merged upstream
+)
+
+pkg_setup() {
+ local CONFIG_CHECK="~SYSVIPC"
+
+ if use udev; then
+ local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required for udev sync)\n"
+ if linux_config_exists; then
+ local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
+ if [ -n "${uevent_helper_path}" ] && [ "${uevent_helper_path}" != '""' ]; then
+ ewarn "It's recommended to set an empty value to the following kernel config option:"
+ ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
+ fi
+ fi
+ fi
+
+ check_extra_config
+
+ # 1. Genkernel no longer copies /sbin/lvm blindly.
+ if use static; then
+ elog "Warning, we no longer overwrite /sbin/lvm and /sbin/dmsetup with"
+ elog "their static versions. If you need the static binaries,"
+ elog "you must append .static to the filename!"
+ fi
+}
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "1iAR = $(tc-getAR)" \
+ -e "s:CC ?= @CC@:CC = $(tc-getCC):" \
+ make.tmpl.in || die #444082
+
+ sed -i -e '/FLAG/s:-O2::' configure{.ac,} || die #480212
+
+ if use udev && ! use device-mapper-only; then
+ sed -i -e '/use_lvmetad =/s:0:1:' conf/example.conf.in || die #514196
+ elog "Notice that \"use_lvmetad\" setting is enabled with USE=\"udev\" in"
+ elog "/etc/lvm/lvm.conf, which will require restart of udev, lvm, and lvmetad"
+ elog "if it was previously disabled."
+ fi
+
+ sed -i -e "s:/usr/bin/true:$(type -P true):" scripts/blk_availability_systemd_red_hat.service.in || die #517514
+
+ # Without thin-privision-tools, there is nothing to install for target install_man7:
+ if ! use thin ; then
+ sed -i -e '/^install_lvm2/s:install_man7::' man/Makefile.in || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -flto
+ local myeconfargs=()
+
+ # Most of this package does weird stuff.
+ # The build options are tristate, and --without is NOT supported
+ # options: 'none', 'internal', 'shared'
+ myeconfargs+=(
+ $(use_enable !device-mapper-only dmeventd)
+ $(use_enable !device-mapper-only cmdlib)
+ $(use_enable !device-mapper-only applib)
+ $(use_enable !device-mapper-only fsadm)
+ $(use_enable !device-mapper-only lvmetad)
+ $(usex device-mapper-only --disable-udev-systemd-background-jobs '')
+
+ # This only causes the .static versions to become available
+ $(usex static --enable-static_link '')
+
+ # dmeventd requires mirrors to be internal, and snapshot available
+ # so we cannot disable them
+ --with-mirrors="$(usex device-mapper-only none internal)"
+ --with-snapshots="$(usex device-mapper-only none internal)"
+
+ # disable O_DIRECT support on hppa, breaks pv detection (#99532)
+ $(usex hppa --disable-o_direct '')
+ )
+
+ if use thin; then
+ myeconfargs+=( --with-thin=internal --with-cache=internal )
+ local texec
+ for texec in check dump repair restore; do
+ myeconfargs+=( --with-thin-${texec}="${EPREFIX}"/sbin/thin_${texec} )
+ myeconfargs+=( --with-cache-${texec}="${EPREFIX}"/sbin/cache_${texec} )
+ done
+ else
+ myeconfargs+=( --with-thin=none --with-cache=none )
+ fi
+
+ myeconfargs+=( --with-clvmd=none --with-cluster=none )
+
+ myeconfargs+=(
+ $(use_enable readline)
+ $(use_enable selinux)
+ --enable-pkgconfig
+ --with-confdir="${EPREFIX}"/etc
+ --exec-prefix="${EPREFIX}"
+ --sbindir="${EPREFIX}/sbin"
+ --with-staticdir="${EPREFIX}"/sbin
+ --libdir="${EPREFIX}/$(get_libdir)"
+ --with-usrlibdir="${EPREFIX}/usr/$(get_libdir)"
+ --with-default-dm-run-dir=/run
+ --with-default-run-dir=/run/lvm
+ --with-default-locking-dir=/run/lock/lvm
+ --with-default-pid-dir=/run
+ $(use_enable udev udev_rules)
+ $(use_enable udev udev_sync)
+ $(use_with udev udevdir "$(get_udevdir)"/rules.d)
+ $(use_enable sanlock lvmlockd-sanlock)
+ $(use_enable systemd udev-systemd-background-jobs)
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ CLDFLAGS="${LDFLAGS}"
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ pushd include >/dev/null
+ emake
+ popd >/dev/null
+
+ if use device-mapper-only ; then
+ emake device-mapper
+ else
+ emake
+ emake CC="$(tc-getCC)" -C scripts lvm2_activation_generator_systemd_red_hat
+ fi
+}
+
+src_install() {
+ local inst INSTALL_TARGETS
+ INSTALL_TARGETS=( install install_tmpfiles_configuration )
+ # install systemd related files only when requested, bug #522430
+ use systemd && INSTALL_TARGETS+=( install_systemd_units install_systemd_generators )
+ use device-mapper-only && INSTALL_TARGETS=( install_device-mapper )
+ for inst in ${INSTALL_TARGETS[@]}; do
+ emake DESTDIR="${D}" ${inst}
+ done
+
+ newinitd "${FILESDIR}"/device-mapper.rc-2.02.105-r2 device-mapper
+ newconfd "${FILESDIR}"/device-mapper.conf-1.02.22-r3 device-mapper
+
+ if use !device-mapper-only ; then
+ newinitd "${FILESDIR}"/dmeventd.initd-2.02.67-r1 dmeventd
+ newinitd "${FILESDIR}"/lvm.rc-2.02.172 lvm
+ newconfd "${FILESDIR}"/lvm.confd-2.02.28-r2 lvm
+
+ newinitd "${FILESDIR}"/lvm-monitoring.initd-2.02.105-r2 lvm-monitoring
+ newinitd "${FILESDIR}"/lvmetad.initd-2.02.116-r3 lvmetad
+ fi
+
+ if use sanlock; then
+ newinitd "${FILESDIR}"/lvmlockd.initd-2.02.166-r1 lvmlockd
+ fi
+
+ if use static-libs; then
+ dolib.a libdm/ioctl/libdevmapper.a
+ dolib.a libdaemon/client/libdaemonclient.a #462908
+ #gen_usr_ldscript libdevmapper.so
+ dolib.a daemons/dmeventd/libdevmapper-event.a
+ #gen_usr_ldscript libdevmapper-event.so
+ else
+ rm -f "${ED%/}"/usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
+ fi
+
+ if use lvm2create_initrd; then
+ dosbin scripts/lvm2create_initrd/lvm2create_initrd
+ doman scripts/lvm2create_initrd/lvm2create_initrd.8
+ newdoc scripts/lvm2create_initrd/README README.lvm2create_initrd
+ fi
+
+ insinto /etc
+ doins "${FILESDIR}"/dmtab
+
+ dodoc README VERSION* WHATS_NEW WHATS_NEW_DM doc/*.{c,txt} conf/*.conf
+}
+
+pkg_postinst() {
+ ewarn "Make sure the \"lvm\" init script is in the runlevels:"
+ ewarn "# rc-update add lvm boot"
+ ewarn
+ ewarn "Make sure to enable lvmetad in /etc/lvm/lvm.conf if you want"
+ ewarn "to enable lvm autoactivation and metadata caching."
+}
+
+src_test() {
+ einfo "Tests are disabled because of device-node mucking, if you want to"
+ einfo "run tests, compile the package and see ${S}/tests"
+}
next reply other threads:[~2019-04-08 18:34 UTC|newest]
Thread overview: 227+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-04-08 18:34 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-20 14:36 [gentoo-commits] repo/gentoo:master commit in: sys-fs/lvm2/ Sam James
2024-11-18 10:28 Arthur Zamarin
2024-11-18 1:43 Sam James
2024-11-17 16:15 Mike Gilbert
2024-05-02 14:55 Mike Gilbert
2024-04-26 18:38 Mike Gilbert
2024-04-26 13:25 Andreas K. Hüttel
2024-01-21 7:58 Viorel Munteanu
2024-01-14 1:38 Sam James
2023-12-22 7:23 Arthur Zamarin
2023-12-16 7:09 Arthur Zamarin
2023-12-16 3:08 Sam James
2023-12-08 20:54 Arthur Zamarin
2023-12-02 11:13 Arthur Zamarin
2023-11-26 23:29 Sam James
2023-10-16 19:56 Mike Gilbert
2023-10-12 14:34 David Seifert
2023-09-07 20:26 WANG Xuerui
2023-09-06 9:19 Sam James
2023-09-06 8:47 Sam James
2023-08-23 8:14 David Seifert
2023-08-02 22:02 Sam James
2023-06-24 2:59 Sam James
2023-06-02 13:29 David Seifert
2023-06-01 21:17 Sam James
2023-06-01 21:14 Sam James
2023-06-01 21:10 Sam James
2023-05-31 16:50 Sam James
2023-05-31 16:01 Sam James
2023-05-31 12:42 Arthur Zamarin
2023-05-31 12:42 Arthur Zamarin
2023-05-31 12:42 Arthur Zamarin
2023-05-17 19:29 David Seifert
2023-05-14 17:11 Sam James
2023-05-14 0:41 Sam James
2023-05-10 21:23 David Seifert
2023-05-06 9:23 Arthur Zamarin
2023-05-06 9:23 Arthur Zamarin
2023-05-06 9:22 Arthur Zamarin
2023-05-06 9:19 Arthur Zamarin
2023-05-06 9:17 Arthur Zamarin
2023-05-01 5:56 Sam James
2023-04-28 15:55 Arthur Zamarin
2023-04-27 23:29 Sam James
2023-04-23 16:13 David Seifert
2023-03-31 11:35 Arthur Zamarin
2023-03-31 11:35 Arthur Zamarin
2023-03-31 11:35 Arthur Zamarin
2023-03-25 10:24 David Seifert
2023-03-25 6:35 Arthur Zamarin
2023-03-24 14:28 Arthur Zamarin
2023-03-23 11:24 Sam James
2023-03-23 11:24 Sam James
2023-03-23 11:24 Sam James
2023-01-15 15:12 Sam James
2023-01-13 10:50 Sam James
2023-01-13 10:50 Sam James
2023-01-13 10:50 Sam James
2023-01-13 10:50 Sam James
2023-01-01 21:05 Sam James
2022-12-20 20:39 Sam James
2022-12-20 9:14 Sam James
2022-12-19 18:52 David Seifert
2022-12-19 18:30 Arthur Zamarin
2022-12-19 18:30 Arthur Zamarin
2022-12-19 18:21 Arthur Zamarin
2022-11-28 11:31 David Seifert
2022-11-28 2:34 Mike Gilbert
2022-11-26 11:51 David Seifert
2022-11-21 19:53 Mike Gilbert
2022-11-21 19:53 Mike Gilbert
2022-11-17 23:18 Sam James
2022-10-28 10:38 Sam James
2022-10-27 20:43 Mike Gilbert
2022-10-27 13:48 Mike Gilbert
2022-10-26 19:19 Mike Gilbert
2022-10-26 18:11 Mike Gilbert
2022-10-22 15:01 Arthur Zamarin
2022-10-20 10:56 Jakov Smolić
2022-10-20 10:52 Jakov Smolić
2022-10-19 6:36 Agostino Sarubbo
2022-10-19 6:36 Agostino Sarubbo
2022-10-19 6:35 Agostino Sarubbo
2022-10-19 6:35 Agostino Sarubbo
2022-10-19 0:28 Sam James
2022-10-18 18:09 David Seifert
2022-07-07 18:06 Mike Gilbert
2022-07-07 18:02 Mike Gilbert
2022-07-07 18:02 Mike Gilbert
2022-06-24 16:25 Mike Gilbert
2022-05-08 16:12 WANG Xuerui
2022-04-24 15:14 Mike Gilbert
2022-01-15 23:31 James Le Cuirot
2021-11-22 17:51 Mike Gilbert
2021-11-09 16:01 Mike Gilbert
2021-11-09 16:01 Mike Gilbert
2021-11-09 16:01 Mike Gilbert
2021-11-07 7:13 Sam James
2021-11-07 4:31 Sam James
2021-09-19 21:37 Mike Gilbert
2021-09-19 21:37 Mike Gilbert
2021-09-07 17:37 Mike Gilbert
2021-09-05 0:50 Mike Gilbert
2021-09-03 21:05 Sam James
2021-09-03 20:50 Mike Gilbert
2021-08-17 0:56 Sam James
2021-08-13 21:54 Sam James
2021-08-13 21:54 Sam James
2021-08-13 1:10 Sam James
2021-08-11 20:36 Lars Wendler
2021-08-11 6:41 Agostino Sarubbo
2021-08-11 0:24 Sam James
2021-08-11 0:02 Sam James
2021-08-10 15:36 Agostino Sarubbo
2021-07-12 14:00 Mike Gilbert
2021-05-09 8:43 Lars Wendler
2021-01-24 21:05 Mike Gilbert
2021-01-08 19:35 Lars Wendler
2020-12-06 6:19 Mike Gilbert
2020-08-24 12:36 Thomas Deutschmann
2020-08-24 12:36 Thomas Deutschmann
2020-08-10 4:49 Lars Wendler
2020-05-13 22:39 Jonas Stein
2020-04-22 16:45 Mart Raudsepp
2020-04-21 19:45 Sergei Trofimovich
2020-04-20 18:04 Agostino Sarubbo
2020-04-20 18:03 Agostino Sarubbo
2020-04-20 13:29 Agostino Sarubbo
2020-04-20 13:27 Agostino Sarubbo
2020-04-20 9:29 Agostino Sarubbo
2020-04-20 7:54 Agostino Sarubbo
2020-04-19 19:00 Agostino Sarubbo
2020-04-09 17:38 Göktürk Yüksek
2020-03-26 20:24 Lars Wendler
2020-03-26 20:24 Lars Wendler
2020-02-23 12:29 Luca Barbato
2020-02-11 13:48 Lars Wendler
2019-12-01 19:28 Lars Wendler
2019-11-28 23:21 Thomas Deutschmann
2019-11-28 10:26 Lars Wendler
2019-11-28 9:09 Lars Wendler
2019-11-27 22:27 Thomas Deutschmann
2019-10-27 15:31 Michał Górny
2019-09-08 18:10 Mike Gilbert
2019-09-06 19:44 Thomas Deutschmann
2019-09-06 19:44 Thomas Deutschmann
2019-09-06 19:44 Thomas Deutschmann
2019-07-28 10:55 Mikle Kolyada
2019-07-28 10:55 Mikle Kolyada
2019-07-24 10:07 Lars Wendler
2019-07-23 0:03 Aaron Bauman
2019-06-18 8:22 Lars Wendler
2019-06-12 14:37 Lars Wendler
2019-06-11 22:15 Sergei Trofimovich
2019-06-08 18:20 Agostino Sarubbo
2019-06-07 8:01 Agostino Sarubbo
2019-06-06 6:58 Agostino Sarubbo
2019-06-06 6:54 Agostino Sarubbo
2019-06-06 6:51 Agostino Sarubbo
2019-06-05 18:14 Sergei Trofimovich
2019-06-05 13:17 Agostino Sarubbo
2019-06-04 22:13 Thomas Deutschmann
2019-05-07 20:09 Robin H. Johnson
2019-05-02 21:12 Mikle Kolyada
2019-04-28 20:39 Mikle Kolyada
2019-04-17 11:57 Mikle Kolyada
2019-04-16 3:41 Aaron Bauman
2019-04-07 21:16 Sergei Trofimovich
2019-04-02 9:11 Mikle Kolyada
2019-04-01 17:21 Thomas Deutschmann
2019-02-12 12:42 Mikle Kolyada
2019-02-12 12:42 Mikle Kolyada
2018-12-12 11:57 Lars Wendler
2018-12-11 21:46 Robin H. Johnson
2018-12-11 21:46 Robin H. Johnson
2018-10-11 10:39 Lars Wendler
2018-08-31 16:16 Robin H. Johnson
2018-08-05 5:50 Robin H. Johnson
2018-06-06 5:59 Jeroen Roovers
2018-05-19 21:31 Robin H. Johnson
2018-05-19 18:15 Sergei Trofimovich
2018-05-19 18:15 Sergei Trofimovich
2018-05-19 18:15 Sergei Trofimovich
2018-03-26 3:55 Matt Turner
2018-03-26 3:55 Matt Turner
2018-03-26 3:55 Matt Turner
2018-03-26 3:55 Matt Turner
2018-03-17 19:44 Matt Turner
2018-03-17 19:44 Matt Turner
2018-03-17 19:44 Matt Turner
2018-03-17 19:44 Matt Turner
2018-02-23 10:15 Sergei Trofimovich
2017-11-23 23:02 Robin H. Johnson
2017-08-07 19:41 Robin H. Johnson
2017-07-12 8:13 Sergei Trofimovich
2017-07-12 8:13 Sergei Trofimovich
2017-07-12 8:13 Sergei Trofimovich
2017-05-04 18:58 Robin H. Johnson
2017-04-30 8:22 Jeroen Roovers
2017-04-27 11:23 Agostino Sarubbo
2017-04-20 11:11 Sergey Popov
2017-04-19 11:41 Michael Weber
2017-04-19 7:31 Michael Weber
2017-04-01 16:06 Agostino Sarubbo
2017-03-25 14:43 Agostino Sarubbo
2016-10-01 13:40 Jeroen Roovers
2016-05-26 12:37 Tobias Klausmann
2016-04-02 5:07 Mike Frysinger
2016-03-24 6:03 Markus Meier
2016-03-20 11:53 Agostino Sarubbo
2016-03-17 10:50 Agostino Sarubbo
2016-03-15 4:06 Doug Goldstein
2016-03-05 16:32 Mikle Kolyada
2016-02-26 21:26 Doug Goldstein
2015-12-28 0:30 Robin H. Johnson
2015-11-07 23:18 Mikle Kolyada
2015-11-02 10:55 Sergey Popov
2015-10-16 11:07 Mikle Kolyada
2015-10-03 16:55 Julian Ospald
2015-10-03 8:55 Markus Meier
2015-10-03 8:07 Jeroen Roovers
2015-10-03 7:06 Jeroen Roovers
2015-10-01 12:44 Tobias Klausmann
2015-09-30 13:43 Agostino Sarubbo
2015-09-29 10:18 Agostino Sarubbo
2015-08-21 17:08 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1554748467.53d8205ff9f4533c17a265a88e44363fd9fd66ed.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox